# Class CIM_J2eeConnectionStats
extends CIM_J2eeStatistic

The J2eeConnectionStats class defines the performance statistics that are provided by a connection. JCA and JDBC connection statistics are represented by this class. The semantics are determined by the class to which the ConnectionStats instance is associated via the CIM_ElementStatisticalData association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic
|
+--CIM_J2eeConnectionStats

## Direct Known Subclasses

CIM_J2eeConnectionPoolStats

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The J2eeConnectionStats class defines the performance statistics that are provided by a connection. JCA and JDBC connection statistics are represented by this class. The semantics are determined by the class to which the ConnectionStats instance is associated via the CIM_ElementStatisticalData association.
UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
UseTime | datetime |
Description | string | The time spent using a connection. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.19.1.3 getUseTime|V1.0
UseTimeMaxTime | datetime |
Description | string | The maximum amount of time spent using a connection since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.2 getMaxTime|V1.0
UseTimeMinTime | datetime |
Description | string | The minimum amount of time spent using a connection since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.3 getMinTime|V1.0
UseTimeTotalTime | datetime |
Description | string | The total amount of time spent using a connection since the beginning of this measurement. Dividing UseTimeTotalTime by UseTime will provide the average time spent using a connection. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.4 getTotalTime|V1.0
WaitTime | datetime |
Description | string | The time spent waiting for a connection to be available. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.19.1.3 getWaitTime|V1.0
WaitTimeMaxTime | datetime |
Description | string | The maximum amount of time spent waiting for a connection to be available since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.2 getMaxTime|V1.0
WaitTimeMinTime | datetime |
Description | string | The minimum amount of time spent waiting for a connection to be available since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.3 getMinTime|V1.0
WaitTimeTotalTime | datetime |
Description | string | The total amount of time spent waiting for a connection to be available since the beginning of this measurement. Dividing WaitTimeTotalTime by WaitTime will provide the average time spent waiting for a connection. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.4 getTotalTime|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
GetLastSampleTime | uint64 | CIM_J2eeStatistic
GetStartTime | uint64 | CIM_J2eeStatistic
ResetSelectedStats | uint32 | CIM_StatisticalData